
import scala.concurrent._
import scala.concurrent.duration._
import ExecutionContext.Implicits.global
import scala.language.postfixOps 

lazy val f = Future {

assert( ordered_moves(8, List((3,4), (3,2)), (1, 3)) == List((0,1), (0,5), (2,1), (2,5)))
assert( ordered_moves(8, List((4,0)), (0,0)) == List((2,1), (1,2)))
assert( ordered_moves(8, List((0,4)), (0,0)) == List((1,2), (2,1)))

}

Await.result(f, 120 second)
